Name:           perl-Imager
Version:        0.64
Release:        2%{?dist}
Summary:        Perl extension for Generating 24 bit Images
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Imager/
Source0:        http://www.cpan.org/authors/id/T/TO/TONYC/Imager-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Affix::Infix2Postfix)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Image::Math::Constrain)
BuildRequires:  perl(Inline)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  freetype-devel
BuildRequires:  gdbm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libungif-devel
BuildRequires:  t1lib-devel
BuildRequires:  rgb
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Imager is a module for creating and altering images. It can read and
write various image formats, draw primitive shapes like lines,and
polygons, blend multiple images together in various ways, scale, crop,
render text and more.

%prep
%setup -q -n Imager-%{version}

%{__perl} -pi -e 's/my \$resp = <STDIN>/my \$resp = "n"/g' Makefile.PL

# Quiet rpmlint.
find . -type f \( -perm +100 -o -name '*.pl' \) \
    -exec perl -pi -e 's,^(\#\!)perl,$1%{__perl}, if ($.==1);' {} \;
find . -type f -name '*.pm' \
    -exec perl -pi -e '$_=undef if ($.==1 and /^\#\!.*perl/)' {} \;
chmod a-x samples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes* README
%doc samples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Imager*
%{_mandir}/man3/*

%changelog
* Thu Apr 24 2008 Steven Pritchard <steve@kspei.com> 0.64-2
- Rebuild.

* Thu Apr 24 2008 Steven Pritchard <steve@kspei.com> 0.64-1
- Update to 0.64 (CVE-2008-1928).
- Add versioned Test::More BR.

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.62-3
- rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.62-2
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Steven Pritchard <steve@kspei.com> 0.62-1
- Update to 0.62.
- Update License tag.

* Mon Sep 17 2007 Steven Pritchard <steve@kspei.com> 0.60-1
- Update to 0.60.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.59-2
- Rebuild for selinux ppc32 issue.

* Tue Jun 26 2007 Steven Pritchard <steve@kspei.com> 0.59-1
- Update to 0.59.

* Fri May 18 2007 Steven Pritchard <steve@kspei.com> 0.58-1
- Update to 0.58.
- Drop hack to change location of rgb.txt (fixed upstream).
- BR Image::Math::Constrain and Affix::Infix2Postfix for better test coverage.

* Tue May 01 2007 Steven Pritchard <steve@kspei.com> 0.57-1
- Update to 0.57.
- BR gdbm-devel.

* Mon Apr 02 2007 Steven Pritchard <steve@kspei.com> 0.56-2
- BR Inline, Test::Pod, and Test::Pod::Coverage perl modules and rgb
  (for rgb.txt) for better test coverage.
- Fix path to rgb.txt in lib/Imager/Color.pm and t/t15color.t.

* Mon Apr 02 2007 Steven Pritchard <steve@kspei.com> 0.56-1
- Update to 0.56.
- BR ExtUtils::MakeMaker.

* Tue Dec 26 2006 Steven Pritchard <steve@kspei.com> 0.55-1
- Update to 0.55.
- Cleanup to more closely resemble current cpanspec output.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.54-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Steven Pritchard <steve@kspei.com> 0.54-1
- Update to 0.54.
- Fix find option order.

* Fri Apr 07 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.50-1
- Updated version for security fix

* Tue Feb 28 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.47-1
- Updated version

* Wed Sep 14 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.45-2
- Applied Steven Pritchard's kind patch to cleanup -
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166254

* Thu Aug 18 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.45-1
- First build.
